extends Line2D

func _ready() -> void:
	var points = []
	for i in range(36):
		var a = deg_to_rad(i * 10)
		points.append(Vector2(cos(a), -sin(a)) * ((self.width / 2.0) - Globals.SNAP_DISTANCE))
	self.points = points

func _process(delta:float) -> void:
	scale = Vector2(1,1) * (1.0 - (float(Globals.CURRENT_LINE.size()) / float(Globals.HISTORY_LENGTH)))
